For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Login
HomeDocsAPI ReferenceMCP ServerChat SDKsRelease Notes
HomeDocsAPI ReferenceMCP ServerChat SDKsRelease Notes
  • Introduction
    • Overview
    • Authentication
    • Versioning
    • Limits
    • Pagination
    • Errors
    • Migrate to V2
    • Changelog
  • Knowledge
    • Overview
    • Sources
    • Articles
    • Tags
  • End Users
    • Overview
    • Getting started
    • Developer guide
  • Integrations
    • Overview
    • Getting started
  • Conversations
    • Overview
    • Getting started
  • Webhooks
    • Overview
  • Data Compliance
    • Overview
  • Data Export
    • Overview
    • Getting started
    • Conversations
      • GETReturn conversations matching the parameters
    • Messages
Login
LogoLogo
Data ExportConversations

Return conversations matching the parameters

GET
https://example.ada.support/api/v2/export/conversations
GET
/api/v2/export/conversations
1import requests
2
3url = "https://example.ada.support/api/v2/export/conversations"
4
5headers = {"Authorization": "Bearer <token>"}
6
7response = requests.get(url, headers=headers)
8
9print(response.json())
1{
2 "items": [
3 {
4 "_id": "5d8a7d080afd19b55945c8ab",
5 "agent_id": [
6 "619d95c0c063a5bf2b1efb7c"
7 ],
8 "agent_handle_time": 4,
9 "agent_name": [
10 "Ada Lovelace"
11 ],
12 "automated_resolution_classification": "Resolved",
13 "automated_resolution_classification_reason": "The bot provided a detailed step-by-step guide on how to disable auto deposits",
14 "bot_handle_time": 4,
15 "browser": "chrome",
16 "browser_version": "95.0.4638.69",
17 "chatter_id": "5dbaef7283d791f585563d84",
18 "csat": {
19 "comment": null,
20 "feedback": null,
21 "is_positive": false,
22 "resolved": null,
23 "score": 3,
24 "style": "EMOJI",
25 "survey_type": "end_chat",
26 "customer_effort_score": 4,
27 "ces_max": 5,
28 "net_promoter_score": 8
29 },
30 "date_created": "2019-10-31T14:28:02",
31 "date_updated": "2019-10-31T14:29:02",
32 "device": "macos",
33 "end_user_id": "619d95c0c063a5bf2b1efb64e",
34 "generated_topic_id": "654952d3e90767ff49713fbf",
35 "generated_topic_label": "Billing Inquiries",
36 "generated_topic_v2_id": "654952d3e90767ff49713fb1",
37 "generated_topic_v2_title": "Password Reset Inquiries",
38 "generated_topic_v2_desc": "All conversations regarding resetting passwords",
39 "generated_topic_v2_parent_id": "654952d3e90767ff49713fb2",
40 "inquiry_summary": "The customer wanted to know how to temporarily disable auto deposits",
41 "is_engaged": true,
42 "is_escalated": false,
43 "is_test_user": false,
44 "language": "en",
45 "metavariables": {
46 "browser": "chrome",
47 "language": "en"
48 },
49 "oauth_channel": "sms",
50 "platform": "chat",
51 "record_last_updated": {},
52 "variables": {
53 "account_number": "1234"
54 }
55 }
56 ],
57 "meta": {
58 "next_page_uri": "https://example.ada.support/api/v2/export/conversations?created_since=2023-07-08T06%3A01%3A39%2B00%3A00&created_to=2023-07-22T00%3A00%3A00%2B00%3A00"
59 }
60}

Returns a list of conversation objects along with a next_page_uri if applicable

Was this page helpful?
Previous

Message object

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

created_sincestringOptionalformat: "date-time"
Return records that were created after this date. If `created_to` is not specified, only records within 7 days of this timestamp are returned. To retrieve data beyond that window, set `created_to` explicitly. Note that `updated_since` and `created_since` are mutually exclusive, so you must only use one in a request. Must be an ISO 8601 UTC timestamp ending with 'Z' (e.g., `2024-07-01T00:00:00Z`); required for valid API requests.
updated_sincestringOptionalformat: "date-time"

Return records that were updated after this date. Note that updated_since and created_since are mutually exclusive, so you must only use one in a request. Must be an ISO 8601 UTC timestamp ending with ‘Z’ (e.g., 2024-07-01T00:00:00Z); required for valid API requests.

page_sizeintegerOptional100-10000Defaults to 10000
Number of records to return in response. The maximum and default is 10000, the minimum is 100.
created_tostring or nullOptionalformat: "date-time"

Return records that were created earlier than this date. If created_since is used and this parameter is not specified, this value defaults to 7 days after created_since. Must be an ISO 8601 UTC timestamp ending with ‘Z’ (e.g., 2024-07-01T00:00:00Z); required for valid API requests.

updated_tostring or nullOptionalformat: "date-time"

Return records that were updated earlier than this date. If updated_since is used and this parameter is not specified, this value defaults to 7 days after updated_since. Must be an ISO 8601 UTC timestamp ending with ‘Z’ (e.g., 2024-07-01T00:00:00Z); required for valid API requests.

Response

Ada successfully processed the request
itemslist of objects
Records returned from the query
metaobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error

Return records that were created after this date. If created_to is not specified, only records within 7 days of this timestamp are returned. To retrieve data beyond that window, set created_to explicitly. Note that updated_since and created_since are mutually exclusive, so you must only use one in a request. Must be an ISO 8601 UTC timestamp ending with ‘Z’ (e.g., 2024-07-01T00:00:00Z); required for valid API requests.